scenario = "Oddball Discrimination Task";

scenario_type = trials;

pcl_file = "oddball2.pcl";

no_logfile = false;



#---------HEADER-----------------------------

# response information

active_buttons = 2;

button_codes = 1,2;


# event codes

write_codes = true;

pulse_value = 1;

pulse_width = 10;  # leave code on port for 10ms



# screen, stimulus appearance

default_trial_type = fixed;

default_trial_duration = stimuli_length;

default_font_size = 38;

default_font = "helvetica";

#-------------------------------------------------------

begin;

#-------------------------------------------------------

array {  

sound { wavefile { filename = "600hz200ms.wav"; }; } S200;

sound { wavefile { filename = "600hz400ms.wav"; }; } S400; 

} normal_sounds;  

array {

sound { wavefile { filename = "660hz200ms.wav"; }; } D200;

sound { wavefile { filename = "660hz400ms.wav"; }; } D400; 

} off_sounds;

picture { } default;

#picture{text { caption = "star!";}; x=0;y=0;}correct; 
picture{bitmap {filename = "greendot.bmp";}; x=0; y=0;}correct;

#picture{text { caption = "wrong!";}; x=0;y=0;}wrong; 
picture{bitmap {filename = "reddot.bmp";}; x=0; y=0;}wrong;
bitmap {filename = "fix_go.bmp";} Fix_Go;
bitmap {filename = "fix_stop.bmp";} Fix_Stop;


trial {

    trial_duration = forever;	     # trial just to give instructions

    trial_type = first_response;   # no timing accuracy needed

    picture {

        text {

	        system_memory = true;

	        caption = 

"Press the left button for a short

and the right button for a long tone.

Click mouse button to continue..."; 

        };

        x = 0; y = 0;

    };

    time = 0;

    duration = next_picture;

}instruct;

trial {
   picture { text { caption = "+"; }; x = 0; y = 0; };
   time = 0;
   duration = 15000;  #15000  change to 10000
   code = "rest";
   port_code = 255;
}rest_trial;

trial {
   picture {
	background_color = 0,0,0;
	bitmap Fix_Go;
	x = 0; y = 0;
   } ;
   time = 0;
   duration = 1000;
   code = "prepare";
   port_code = 254;
}prepare_trial;

trial {         



   picture { text { caption = "+"; }; x = 0; y = 0; };

   	      time = 0;           # the letter stimulus

	      duration = 1000;


   stimulus_event {

         sound S200;

         code = "default";           
         port_code = 50;  # will change on the fly in pcl

         time = 0;

   }trialtone; 

}one_stim;

trial {

      stimulus_event {

	      picture correct;    # this is the place holder for

	      deltat = 0;           # the letter stimulus

	      duration = 200;

	      code = "feedback";

      } feedback;

}fb_trial;

trial { 
   trial_duration = forever;
   trial_type = first_response;        
 
   stimulus_event {

         picture { text { caption = "+"; }message; 
         x = 0; y = 0; };

         code = "default";           
         port_code = 25;  # will change on the fly in pcl

         time = 0;

   }one_message; 

}one_pause;      



